<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="center"><h1>PROBLEMAS</h1></div>
    <div class="ejercicios">
        <div>
            <h2>EJERCICIO 1: OBJECT</h2>
            <p>
                Teniendo el siguiente objeto y arreglo:
            </p>
            <img src="images/img1.png" alt="">
            <p>Cual es el resultado del siguiente código y porque?.</p>
            <img src="images/img2.png" alt="">
            <div class="resultado">
                <p>console.log(anArray[0], anObject[0]); => <strong>zero, bar</strong></p>
                <p>console.log(anArray[1], anObject[1]); => <strong>one, one!</strong></p>
                <p>console.log(anArray.length, anObject.length); => <strong>2, "interesting"</strong></p>
                <p>console.log(anArray.foo, anObject.foo); => <strong>undefined, "bar"</strong></p>
                <p>console.log(typeof anArray == 'object', typeof anObject == 'object'); => <strong>true, true</strong></p>
                <p>console.log(anArray instanceof Object, anObject instanceof Object); => <strong>true, true</strong></p>
                <p>console.log(anArray instanceof Array, anObject instanceof Array); => <strong>true, false</strong></p>
            </div>
        </div>
        <div>
            <h2>EJERCICIO 2: OBJECT</h2>
            <p>Dado el siguiente objeto:</p>
            <img src="images/img3.png" alt="">
            <p>Que método del objeto 'Object' puedo usar para qu me dé el siguiente resultado: </p>
            <img src="images/img4.png" alt="">
            <div class="resultado">
                <p>
                    <strong>Object.values</strong> Devuelve un array que contiene los valores que 
                    corresponden a todas las propiedades de cadena enumerables de un objeto dado.
                </p>
                <hr>
                <p>Resultado: <strong id="ejercicio2"></strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 3: SERIE</h2>
            <p>Crea una función para imprimir en consola la siguiente serie de números:</p>
            <img src="images/img5.png" alt="">
            <div class="resultado">
                <p>La serie es: <strong id="ejercicio3"></strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 4: FUNCTION</h2>
            <p>Dado el siguiente código:</p>
            <img src="images/img6.png" alt="">
            <p>Cual es el resultado de ejecutar lass siguientes sentencias: </p>
            <img src="images/img7.png" alt="">
            <div class="resultado">
                <p>Resultado de las sentencias respectivamente: <strong id="ejercicio4"></strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 5: CLASS</h2>
            <p>Dado el siguiente código:</p>
            <img src="images/img8.png" alt="">
            <img src="images/img9.png" alt="">
            <p>Cual es el resultado de ejecutar las siguientes sentencias y porque?: </p>
            <img src="images/img10.png" alt="">
            <div class="resultado">
                <p>El resultado es: <strong>Bob, ['Joe', 'Bob']</strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 6: CLASS</h2>
            <p>Dado el siguiente código:</p>
            <img src="images/img11.png" alt="">
            <p>Cual es el resultado de ejecutar las siguientes sentencias y porque?: </p>
            <img src="images/img12.png" alt="">
            <div class="resultado">
                <p>El resultado es: <strong>5</strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 7: CLASSS</h2>
            <p>Dado el siguiente código:</p>
            <img src="images/img13.png" alt="">
            <p>Cual es el resultado de ejecutar las siguientes sentencias y porque?: </p>
            <img src="images/img14.png" alt="">
            <div class="resultado">
                <p>El resultado es: <strong>9, 8, 7, Queue, ["enqueue", "dequeue"]</strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 8: CLASS</h2>
            <p>Dada la siguiente clase:</p>
            <img src="images/img15.png" alt="">
            <p>Define los métodos correspondientes para ejectar el siguiente código:</p>
            <img src="images/img16.png" alt="">
            <div class="resultado">
                <p>El resultado es: <strong>'Foo', 'Bar'</strong></p>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 9: EVENTS</h2>
            <p>Dada la siguiente código hTMl:</p>
            <img src="images/img17.png" alt="">
            <p>
                Define los métodos correspondientes para ejectar el 
                siguiente códigoAgregar el código necesario para que 
                al evento click de los objetos contenidos en la variable 
                ‘deleteBtn’ se muestre una ventana de confirmación para 
                eliminar el post(div) de la pagina.
            </p>
            <div id="post" class="resultado">
                <div id="post-102">
                    <p>I like Confirm modals</p>
                    <a data-deletepost="post-102">Delete post</a>
                </div>
                <div id="post-103">
                    <p>That's way too cool!</p>
                    <a data-deletepost="post-103">Delete post</a>
                </div>
            </div>
        </div>

        <div>
            <h2>EJERCICIO 10: SET TIME OUT</h2>
            <p>
                Generar una pagina y el código javascript para que se 
                muestre y actualice el siguiente recuadro cada segundo:
            </p>
            <img src="images/img18.png" alt="">
            <div class="resultado">
                <button id="startstop" class="crear">Iniciar</button>
                <button id="reset" class="eliminar">Reset</button>
                <hr>
                <div class="clock">
                    <div>
                        <h3>Tiempo:</h3> <br>
                        <p> <span id="h">00</span> h : <span id="m">00</span> min : <span id="s">00</span> seg</p>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <script src="JS.js"></script>
</body>
</html>